// Cargar navbar.html en el div con id "navbar"
document.addEventListener("DOMContentLoaded", function () {
    fetch('header.html')
        .then(response => response.text())
        .then(data => {
            document.getElementById('header').innerHTML = data;
            const currentPage = document.getElementById('currentPage');
            if (currentPage) {
                const id = currentPage.textContent;
                const idLink = `${id}Link`;
                const link = id ? document.getElementById(idLink) : null;
                if (link) {
                    link.classList.add('active');
                }
            }
            hanbleHoverEfect();
        })
        .catch(error => console.error('Error al cargar la navbar:', error));

});

// Cargar footer.html en el div con id "footer"
document.addEventListener("DOMContentLoaded", function () {
    fetch('footer.html')
        .then(response => response.text())
        .then(data => {
            document.getElementById('footer').innerHTML = data;
            const currentPage = document.getElementById('currentPage');
            if (currentPage) {
                const id = currentPage.textContent;
                const idLink = `${id}LinkFooter`;
                const link = id ? document.getElementById(idLink) : null;
                if (link) {
                    link.classList.add('active');
                }
            }
        })
        .catch(error => console.error('Error al cargar el footer:', error));
});

// Cargar form_cotizacion.html en el div con id "form_cotizacion" si existe
const formCotizacion = document.getElementById('formCotizacion');
if (formCotizacion) {
    document.addEventListener("DOMContentLoaded", function () {
        fetch('form_cotizacion.html')
            .then(response => response.text())
            .then(data => {
                formCotizacion.innerHTML = data;
            })
            .catch(error => console.error('Error al cargar el formulario de cotización:', error));
    });
}

const hanbleHoverEfect = () => {
    const productosLink = document.getElementById("productosLink");
    const dropProdsDesk = document.getElementById("dropProdsDesk");
    const menuContainer = document.createElement("div");

// Envolvemos el link y el dropdown en un contenedor invisible
    productosLink.parentNode.insertBefore(menuContainer, productosLink);
    menuContainer.appendChild(productosLink);
    menuContainer.appendChild(dropProdsDesk);

// Estilos opcionales para el contenedor (puedes agregar en CSS también)
    menuContainer.style.position = "relative";
    menuContainer.style.display = "inline-block";

    let timeoutId;

    menuContainer.addEventListener("mouseenter", () => {
        clearTimeout(timeoutId); // Cancelamos el ocultamiento si el usuario regresa rápido
        dropProdsDesk.style.display = "block";
    });

    menuContainer.addEventListener("mouseleave", () => {
        timeoutId = setTimeout(() => {
            dropProdsDesk.style.display = "none";
        }, 300); // Pequeño retraso para mejorar la usabilidad
    });
}


let intentos = 0;
const passPrueba = '123456';
const userPrueba = 'admin';

function handleIngresar() {
    cleanMessages();
    const userInput = document.getElementById('userInput')?.value;
    const passInput = document.getElementById('passInput')?.value;

    // Flujo si las credenciales son vacías
    if (userInput === '' || passInput === '') {
        document.getElementById('msjCredencialesVacias').classList.remove('d-none');
        return;
    }

    // Flujo si las credenciales son incorrectas
    const passCorrecto = passInput === passPrueba;
    const userCorrecto = userInput === userPrueba;
    if (!passCorrecto || !userCorrecto) {
        document.getElementById('msjPassIncorrecto').classList.remove('d-none');
        intentos++;

        // Flujo si lleva mas de 2 intentos
        if (intentos > 2) {
            document.getElementById('msjProblemasIngresar').classList.remove('d-none');
            document.getElementById('msjPassIncorrecto').classList.add('d-none');
            return;
        }
        return;
    }


    // Flujo si las credenciales son correctas
    intentos = 0;
    document.getElementById('sistemas').classList.remove('d-none');
    document.getElementById('formDescarga').classList.add('d-none');
}

function cleanMessages() {
    document.getElementById('msjCredencialesVacias').classList.add('d-none');
    document.getElementById('msjPassIncorrecto').classList.add('d-none');
    document.getElementById('msjProblemasIngresar').classList.add('d-none');
    document.getElementById('sistemas').classList.add('d-none');
}